<form [formGroup]="infoForm" (change)="saveInfo()">
    <mat-form-field>
        <input matInput type="text" formControlName="presidente" placeholder="Presidente" required>
    </mat-form-field>
    <mat-form-field>
        <input matInput type="text" formControlName="vicepresidente" placeholder="Vicepresidente" required>
    </mat-form-field>
    <mat-form-field>
        <input matInput type="text" formControlName="segretario" placeholder="Segretario" required>
    </mat-form-field>
    <div formArrayName="consiglieri">
        <mat-form-field *ngFor="let consigliere of consiglieriArray.controls; let i = index" [formGroupName]="i">
            <input matInput type="text" formControlName="name" placeholder="Consigliere">
        </mat-form-field>
    </div>
    <button mat-button (click)="addConsigliere()">Aggiungi consigliere</button>
</form>
